Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanConstructorInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanConstructorInfo

All Implemented Interfaces:
  Serializable, Cloneable, DescriptorRead

Direct Known Subclasses:
  ModelMBeanConstructorInfo, OpenMBeanConstructorInfoSupport

    public class MBeanConstructorInfo

extends MBeanFeatureInfo
implements Cloneable

Describes a constructor exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

Since:
  1.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanConstructorInfo(String description, Constructor constructor)` Constructs an `MBeanConstructorInfo` object.
`MBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature)` Constructs an `MBeanConstructorInfo` object.
`MBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature, Descriptor descriptor)` Constructs an `MBeanConstructorInfo` object.

Method Summary
`Object` | `clone()` Returns a shallow clone of this instance.
`boolean` | `equals(Object o)` Compare this MBeanConstructorInfo to another.
`MBeanParameterInfo[]` | `getSignature()` Returns the list of parameters for this constructor.
`int` | `hashCode()` Returns a hash code value for the object.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getDescriptor, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanConstructorInfo

    public MBeanConstructorInfo(String description,
                                Constructor constructor)

  Constructs an `MBeanConstructorInfo` object. The `Descriptor` of the constructed object will include fields contributed by any annotations on the `Constructor` object that contain the `DescriptorKey` meta-annotation.

  Parameters:
    `description` - A human readable description of the operation.
    `constructor` - The `java.lang.reflect.Constructor` object describing the MBean constructor.

### MBeanConstructorInfo

    public MBeanConstructorInfo(String name,
                                String description,
                                MBeanParameterInfo[] signature)

  Constructs an `MBeanConstructorInfo` object.

  Parameters:
    `name` - The name of the constructor.
    `signature` - `MBeanParameterInfo` objects describing the parameters(arguments) of the constructor. This may be null with the same effect as a zero-length array.
    `description` - A human readable description of the constructor.

### MBeanConstructorInfo

    public MBeanConstructorInfo(String name,
                                String description,
                                MBeanParameterInfo[] signature,
                                Descriptor descriptor)

  Constructs an `MBeanConstructorInfo` object.

  Parameters:
    `name` - The name of the constructor.
    `signature` - `MBeanParameterInfo` objects describing the parameters(arguments) of the constructor. This may be null with the same effect as a zero-length array.
    `description` - A human readable description of the constructor.
    `descriptor` - The descriptor for the constructor. This may be null which is equivalent to an empty descriptor.
  Since:
    1.6

Method Detail

### clone

    public Object clone()

  Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

  Since this class is immutable, cloning is chiefly of interest to subclasses.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of this instance.
  See Also:
    `Cloneable`

### getSignature

    public MBeanParameterInfo[] getSignature()

  Returns the list of parameters for this constructor. Each parameter is described by an `MBeanParameterInfo` object.

  The returned array is a shallow copy of the internal array, which means that it is a copy of the internal array of references to the `MBeanParameterInfo` objects but that each referenced `MBeanParameterInfo` object is not copied.

  Returns:
    An array of `MBeanParameterInfo` objects.

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### equals

    public boolean equals(Object o)

  Compare this MBeanConstructorInfo to another.

  Overrides:
    `equals` in class `MBeanFeatureInfo`
  Parameters:
    `o` - the object to compare to.
  Returns:
    true if and only if `o` is an MBeanConstructorInfo such that its `MBeanFeatureInfo.getName()`, `MBeanFeatureInfo.getDescription()`, `getSignature()`, and `MBeanFeatureInfo.getDescriptor()` values are equal (not necessarily identical) to those of this MBeanConstructorInfo. Two signature arrays are equal if their elements are pairwise equal.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Description copied from class: `Object`
  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Overrides:
    `hashCode` in class `MBeanFeatureInfo`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.